- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
WP42Heuristics Class Reference

`#include <WP42Heuristics.h>`

## Static Public Member Functions
static libwpd::WPDConfidence | isWP42FileFormat (librevenge::RVNGInputStream *input, const char *password=0)
static libwpd::WPDPasswordMatch | verifyPassword (librevenge::RVNGInputStream *input, const char *password)

## Member Function Documentation

WPDConfidence WP42Heuristics::isWP42FileFormat | ( | librevenge::RVNGInputStream * | input,
|  | const char * | password = `0`
| ) |  |
| static

Referenced by libwpd::WPDocument::isFileFormatSupported(), and libwpd::WPDocument::parse().

WPDPasswordMatch WP42Heuristics::verifyPassword | ( | librevenge::RVNGInputStream * | input,
|  | const char * | password
| ) |  |
| static

Referenced by libwpd::WPDocument::verifyPassword().

The documentation for this class was generated from the following files:

- WP42Heuristics.h
- WP42Heuristics.cpp